Skip to main content

Failed 3DS Authentication

Triggered when authentication is declined with our 3DS Vendor and no authorization record was received.

https://<customerHost:Port>/webhook
FieldDescription
Content-Typeapplication/json

Request example​

curl --location --request POST 'https://<customerHost:Port>/webhook' \
-H 'content-type: application/json' \
-d '{
"clientHashId":"d4e1e512-hhd7-4eca-ad41-dd39325facc2",
"customerHashId":"0de1e512-e0d7-4eca-ad41-dd39325facc2",
"cardHashId":"a344b0c8-d27d-4db5-8194-aacdefb558ca",
"merchantId":"FQVN6GDWYT0NOB6",
"merchantName":"SP ONETREEPLANTED",
"mcc":"8641",
"merchantCountryCode":"SGD",
"merchantUrl":"https://www.requestor.com",
"transactionId":"aa3ae2e6-2d91-4579-8df2-0110fb06fc8c",
"transactionCurrency":"SGD",
"transactionAmount":"5499",
"transactionDate":"2023-09-29 09:24:46",
"authenticationResponse":"N",
"authenticationType":"OTPSMS",
"eci":"05",
"template":"CARD_3DS_Failed_Authentication_WEBHOOK"
}'

Request body​

Card Info​

Current FieldsDescriptionRequiredLength
maskedCardNumberThis field accepts the mask card number.Required16 Char
clientHashIdUnique client identifier generated during onboarding.RequiredUUID

Merchant Info​

Current FieldsDescriptionRequiredLength
merchantNameThis field accepts the merchant’s name.RequiredUp to 40 Char
mccCode is used to describe the merchant type of business.Optional4 Char
countrycodeCountry code of the merchant. For example: 840 numeric -3 formatOptionalUp to 3 Char
urlURL or APP Name for the Merchant performing the purchase request.OptionalUp to 2048 Char

Transaction Info​

Current FieldsDescriptionRequiredLength
transactionAmountThis field accepts the transaction amount up to 2 decimals. Formatted Transaction AmountRequiredUp to 48 Char
transactionCurrencyThis field accepts the 3-letter ISO currency code for the transaction.Required3 Char
timestampTransaction timestamp. For example: 2020-03-21T20:55:49.0000ZOptional24 Char

Authentication Response​

Current FieldsDescriptionRequiredLength
authenticationTypeType of authentication credential used for a given transaction. Possible values:
  • OTP
  • OTPSMS
  • KBASINGLE
  • OUTOFBANDOTHER
  • blank
OptionalString
authenticationResponseThe authentication response which is sent back to the merchant in 3DS. Possible values:
  • N - Not Authenticated
  • U - Unavailable
  • R - Reject
RequiredString
ECIPayment system specific value provided by ACS to indicate results of the attempt to authenticate.OptionalString - 2 Char
LLM-ready documentation:: llms.txt and llms-full.txt
Was this page helpful?